Forum des Objets Communicants et Solutions pour les Libérer...


 
AccueilAccueil  GalerieGalerie  FAQFAQ  RechercherRechercher  S'enregistrerS'enregistrer  Connexion  

Partagez | 
 

 Script python pour piloter un mir:ror pour raspberry pi

Voir le sujet précédent Voir le sujet suivant Aller en bas 
Aller à la page : Précédent  1, 2, 3, 4, 5, 6  Suivant
AuteurMessage
tikismoke
Bronze Nabz
Bronze Nabz


Nbr de messages : 295

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Lun 20 Avr 2015 - 15:20

Un rpib+ mais y a aussi une kinect des enceintes USB et un d'ongle zwave dessus. Pour l'instant pas de souci au reboot.
Revenir en haut Aller en bas
http://palmattitude.com
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: probleme installation Mirrorpy   Jeu 23 Avr 2015 - 22:53

Bonsoir,

Je viens d'installer Mirrorpy sur mon Raspberry B - Raspbian (noobs).
L'installation s'est déroulé sans trop de probleme...
lorsque que j'ai testé le script (sudo ./mirror.py), les tags sont bien reconnus  (posé et retiré)
seul soucis... je n'ai pas su comment arreté le script et j'ai du debranché le raspberry.

apres redémarrage, j'ai continué à suivre le processus d'installation et le service démarre bien (ok demarrage du service mirrorpy)

Mais il ne reconnait pas les tag ou plutot LE tag, car une fois le tag posé sur le Mir:ror le bip retentit mais rien ne se passe et lorsque je retire le tag aucun signal.... comme si le Mir:ror était bloqué.

Et lorsque que je veux arrêté le service, j'ai un message d'erreur.

"Arrêt du service mirrorpy:start-stop-daemon: warning: failed to kill 2213: No such process
No process in pidfile '/var/run/.pid' found running; none killed.
failed!"

Pour info, le mir:ror est branché sur un hub alimenté et le Mir:ror fonctionne très bien tant que le raspberry n'est pas allumé sinon il se bloque dès  la pose du premier tag (il reste allumé)

Pouvez vous m'aidez ?

Merci d'avance et surtout merci à Laurent207 pour tout le travail.


Dernière édition par lepetitnicolas le Jeu 23 Avr 2015 - 23:03, édité 1 fois
Revenir en haut Aller en bas
tikismoke
Bronze Nabz
Bronze Nabz
avatar

Localisation : Pays de la moutarde
Nabaztag : Nabaztiki
Nbr de messages : 295
Carottes : 3828

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Jeu 23 Avr 2015 - 22:58

Pour arrêter le script un simple ctrl+c pour le service il faut utiliser sudo aussi pour le lancer ou l'arrêter.
Revenir en haut Aller en bas
http://palmattitude.com
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Jeu 23 Avr 2015 - 23:20

Ok merci

J'ai donc voulu retester le scritp (sudo ./mirror.py)
et il me renvoie cela :

Traceback (most recent call last):
File "./mirror.py", line 9, in
DOMTree = parse("mirror.xml")
File "/usr/lib/python2.7/xml/dom/minidom.py", line 1920, in parse
return expatbuilder.parse(file)
File "/usr/lib/python2.7/xml/dom/expatbuilder.py", line 922, in parse
fp = open(file, 'rb')
IOError: [Errno 2] No such file or directory: 'mirror.xml'

Que faire?
Dois je tout reinstaller ???
Revenir en haut Aller en bas
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Jeu 23 Avr 2015 - 23:23

je pense que le fait d'arreter le raspberry alors que le script était en route à du l'endommager ????

Je vais reinstaller raspbian et mirrorpy
Revenir en haut Aller en bas
tikismoke
Bronze Nabz
Bronze Nabz
avatar

Localisation : Pays de la moutarde
Nabaztag : Nabaztiki
Nbr de messages : 295
Carottes : 3828

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Jeu 23 Avr 2015 - 23:25

je pense pas mais si t'es lancé tiens nous au jus, je suis dispo ce soir profites-en yellownabzwink
Revenir en haut Aller en bas
http://palmattitude.com
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Jeu 23 Avr 2015 - 23:37

merci
je ne comprends pas pourquoi la premiere fois le script s'est lancé sans probleme et maintenant j'ai cette erreur...
Revenir en haut Aller en bas
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Jeu 23 Avr 2015 - 23:54

en fait, le script fonctionne...je n'étais pas dans le bon repertoire pour le lancer
Revenir en haut Aller en bas
tikismoke
Bronze Nabz
Bronze Nabz
avatar

Localisation : Pays de la moutarde
Nabaztag : Nabaztiki
Nbr de messages : 295
Carottes : 3828

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Jeu 23 Avr 2015 - 23:57

d'ou le xml non trouvé yellownabzsmile
Revenir en haut Aller en bas
http://palmattitude.com
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 0:00

par contre j'ai toujours cette erreur à l'arret du service (mirror.sh)

Arrêt du service mirrorpy:start-stop-daemon: warning: failed to kill 2213: No such process
No process in pidfile '/var/run/.pid' found running; none killed.
failed!
Revenir en haut Aller en bas
tikismoke
Bronze Nabz
Bronze Nabz
avatar

Localisation : Pays de la moutarde
Nabaztag : Nabaztiki
Nbr de messages : 295
Carottes : 3828

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 0:02

t'as touché au fichier init.d?

par ce que normalement il devrait chercher un fichier du style:
/var/run/mirrorpy.pid
Revenir en haut Aller en bas
http://palmattitude.com
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 0:09

je ne pense pas... j'ai juste copier mirror.sh
Revenir en haut Aller en bas
tikismoke
Bronze Nabz
Bronze Nabz
avatar

Localisation : Pays de la moutarde
Nabaztag : Nabaztiki
Nbr de messages : 295
Carottes : 3828

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 0:13

tu peut copier son contenu ici stp
Revenir en haut Aller en bas
http://palmattitude.com
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 0:22

je viens de regarder, je n'ai pas de fichier mirrorpy.pid dans le dossier /var/run
Revenir en haut Aller en bas
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 0:24

contenu du dossier /var/run

. dhclient.eth0.pid motd.dynamic rsyslogd.pid thd.pid
.. ifplugd.eth0.pid mount sendsigs.omit.d thd.socket
crond.pid ifplugd.lo.pid network shm udev
crond.reboot initctl ntpd.pid sshd utmp
dbus lock .pid sshd.pid

Revenir en haut Aller en bas
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 0:26

j'avance avec le script
les tag sont reconnu mais mes requêtes http vers ma box domotique n'arrive pas
il me met : "Temps de connexion dépassé"

et quand je veux envoyer un message vocale à mon nabaztag via wizz.cc
"Le serveur na pas pu répondre à la demande.
Error code: 403"


Dernière édition par lepetitnicolas le Ven 24 Avr 2015 - 0:29, édité 1 fois
Revenir en haut Aller en bas
tikismoke
Bronze Nabz
Bronze Nabz
avatar

Localisation : Pays de la moutarde
Nabaztag : Nabaztiki
Nbr de messages : 295
Carottes : 3828

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 0:28

Moi aussi j'avais ça, vire le timeout ligne 66 et re-essaye ou augmente-le drastiquement.

Pour ton pid je vois pas pourquoi....
Revenir en haut Aller en bas
http://palmattitude.com
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 0:42

j'ai mis le timeout à 100
je n'ai plus de message d'erreur mais la commande n'est pas réalisé....

Merci pour ton aide mais je vais aller me reposer...

Par contre, je suis à la recherche d'un bonne editeur sous mac car compter les lignes dans le terminal (mac) c'est un peu galère

a bientôt j'espère
Revenir en haut Aller en bas
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 0:52

ça marche pour les commandes de la box !!!

j'avais mal enregister les changements dans le fichier xml

par contre cela ne marche toujours pas pour les requettes via wizz.cc, j'ai toujours cette erreur

"Le serveur na pas pu répondre à la demande.
Error code: 403"

Bonne nuit et encore merci pour ton aide

nabzciao
Revenir en haut Aller en bas
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 11:09

Pour résumé, le script fonctionne bien et les commandes sont reçu par la box (sudo ./mirror.py)

Par contre, le service se met en route mais dès la pose du premier tag.. pas de réponse et bloquage du mirror qui reste cependant allumé.
Et j'ai une erreur lorsque j’essaye d'arrêter le service.

Quelqu'un à t'il une idée pour règler ce soucis.

Merci d'avance
Revenir en haut Aller en bas
tikismoke
Bronze Nabz
Bronze Nabz
avatar

Localisation : Pays de la moutarde
Nabaztag : Nabaztiki
Nbr de messages : 295
Carottes : 3828

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 11:19

Tu tapes bien sudo service mirror.sh start ou stop ou restart.?
Le user dans le fichier init est bien root?
Revenir en haut Aller en bas
http://palmattitude.com
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 13:23

je tape comme il est ecrit dans le fichier readme
sudo /etc/init.d/mirror.sh start
et il me repond que le service demarre....
user est bien root

par contre je suis au boulot et je ne peux pas faire de test pour le moment
Revenir en haut Aller en bas
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 23:04

bonsoir,

voici le debut de mon fichier mirror.sh situé dans le dossier /etc/init.d

chemin où se trouve le script python
DIR="/home/pi/mirrorpy"
#nom du fichier qui contient le script python
DAEMON=$DIR/mirror.py
#argument à utiliser par le programme
DEAMON_OPT=""
#nom du service
DEAMON_NAME="mirrorpy"
#utilisateur du programme
DAEMON_USER="root"

# The process ID of the script when it runs is stored here:
PIDFILE=/var/run/$DAEMON_NAME.pid

. /lib/lsb/init-functions

do_start () {
log_daemon_msg "Démarrage du service $DEAMON_NAME"
start-stop-daemon --start --background --pidfile $PIDFILE --make-pidfi$
log_end_msg $?
}
do_stop () {
log_daemon_msg "Arrêt du service $DEAMON_NAME"
start-stop-daemon --stop --pidfile $PIDFILE --retry 10
log_end_msg $?
}

y a t'il une erreur ?

merci
Revenir en haut Aller en bas
tikismoke
Bronze Nabz
Bronze Nabz
avatar

Localisation : Pays de la moutarde
Nabaztag : Nabaztiki
Nbr de messages : 295
Carottes : 3828

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 23:08

Pour moi y a au moins une erreur la:
start-stop-daemon --start --background --pidfile $PIDFILE --make-pidfi$

Z moins que la ligne ne soit pas complète.
Revenir en haut Aller en bas
http://palmattitude.com
lepetitnicolas
Nabz Junior
Nabz Junior


Localisation : Donostia
Nbr de messages : 61
Carottes : 809

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 23:10

je viens de regarder le dossier /var/run lorsque je lance le service

il n'y a pas de fichier mirrorpy.pid.....

j'ai l'impression que malgres l'annonce "demarrage du service mirrorpy", le service (ou le script) ne se met pas en route
Revenir en haut Aller en bas
tikismoke
Bronze Nabz
Bronze Nabz
avatar

Localisation : Pays de la moutarde
Nabaztag : Nabaztiki
Nbr de messages : 295
Carottes : 3828

MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   Ven 24 Avr 2015 - 23:12

Moi mon fichier ressemble à ça:
Code:
cat /etc/init.d/mirror.sh
#! /bin/sh
### BEGIN INIT INFO
# Provides:          mirrorpy
# Required-Start:    $remote_fs $syslog
# Required-Stop:    $remote_fs $syslog
# Default-Start:    2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Démarrage du script pour le mirror
# Description:      Script qui lit les données du mir:ror et appel des requêtes http en fonction de ce qui est dé$
### END INIT INFO

#chemin où se trouve le script python
DIR="/home/pi/mirrorpy"
#nom du fichier qui contient le script python
DAEMON=$DIR/mirror.py
#argument à utiliser par le programme
DEAMON_OPT=""
#nom du service
DEAMON_NAME="mirrorpy"
#utilisateur du programme
DAEMON_USER="root"

# The process ID of the script when it runs is stored here:
PIDFILE=/var/run/$DAEMON_NAME.pid

. /lib/lsb/init-functions

do_start () {
  log_daemon_msg "Démarrage du service $DEAMON_NAME"
  start-stop-daemon --start --background --pidfile $PIDFILE --make-pidfile --user $DAEMON_USER --chuid $DAEMON_USER --exec $DAEMON
  log_end_msg $?
}
do_stop () {
  log_daemon_msg "Arrêt du service $DEAMON_NAME"
  start-stop-daemon --stop --pidfile $PIDFILE --retry 10
  log_end_msg $?
}

case "$1" in
  start|stop)
    do_${1}
    ;;

  restart|reload|force-reload)
    do_stop
    do_start
    ;;

  force-stop)
    do_stop
    killall -q $DEAMON_NAME || true
    sleep 2
    killall -q -9 $DEAMON_NAME || true
    ;;

  status)
    status_of_proc "$DAEMON_NAME" "$DAEMON" && exit 0 || exit $?
    ;;

  *)
    echo "Utilisation : /etc/init.d/$DEAMON_NAME {start|stop|force-stop|restart|reload|force-reload|status}"
    exit 1
    ;;

esac
exit 0
Revenir en haut Aller en bas
http://palmattitude.com
Contenu sponsorisé




MessageSujet: Re: Script python pour piloter un mir:ror pour raspberry pi   

Revenir en haut Aller en bas
 
Script python pour piloter un mir:ror pour raspberry pi
Voir le sujet précédent Voir le sujet suivant Revenir en haut 
Page 2 sur 6Aller à la page : Précédent  1, 2, 3, 4, 5, 6  Suivant
 Sujets similaires
-
» Script python pour piloter un mir:ror pour raspberry pi
» Accueil FSX pour pilote dans la vie réelle
» tuto pour crée une voiture pour tdu
» Un p'tit décors pour mes nains...Et un pour mon ami des CV !
» conseils pour un effet brillant.

Permission de ce forum:Vous ne pouvez pas répondre aux sujets dans ce forum
Forum des Objets Communicants et Solutions pour les Libérer... :: II. Nabaztag, Karotz, mir:ror, Dal:Dal (Violet Object Operating System) :: mir:ror mon beau mir:ror-
Sauter vers: